import "../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { GdsMask as GdsMaskClass } from "../../../components/mask/mask.component.js";
import { getReactComponent } from "../../../utils/react.js";
const GdsMask = (props) => {
  GdsMaskClass.define();
  const JSXElement = getReactComponent("gds-mask");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
GdsMask.displayName = "GdsMask";
export {
  GdsMask
};
